> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dedicated Endpoint Templates



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v0/dedicated_endpoints/templates
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260714-68e88e75b
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v0/dedicated_endpoints/templates:
    get:
      tags:
        - dedicated-endpoints
      summary: List Dedicated Endpoint Templates
      operationId: list_dedicated_endpoint_templates_v0_dedicated_endpoints_templates_get
      parameters:
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Project ID to list templates
            title: Ai Project Id
          description: Project ID to list templates
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelsListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/app__models__endpoints__api__Model'
          type: array
          title: Data
        object:
          type: string
          title: Object
          default: list
      type: object
      required:
        - data
      title: ModelsListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__models__endpoints__api__Model:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Text2TextModelMetadata'
            - $ref: '#/components/schemas/EmbeddingModelMetadata'
            - $ref: '#/components/schemas/Image2TextModelMetadata'
            - $ref: '#/components/schemas/RerankModelMetadata'
          title: Metadata
        flavors:
          additionalProperties:
            $ref: '#/components/schemas/ModelFlavor'
          type: object
          title: Flavors
      type: object
      required:
        - name
        - type
        - metadata
        - flavors
      title: Model
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Text2TextModelMetadata:
      properties:
        huggingface_url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Huggingface Url
        vendor:
          type: string
          title: Vendor
        context_window_k:
          type: integer
          title: Context Window K
        size_b:
          type: number
          title: Size B
        license:
          anyOf:
            - $ref: '#/components/schemas/License'
            - type: 'null'
      type: object
      required:
        - vendor
        - context_window_k
        - size_b
      title: Text2TextModelMetadata
    EmbeddingModelMetadata:
      properties:
        huggingface_url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Huggingface Url
        vendor:
          type: string
          title: Vendor
        context_window_k:
          type: integer
          title: Context Window K
        embedding_dimensions:
          type: integer
          title: Embedding Dimensions
        size_b:
          type: number
          title: Size B
        license:
          anyOf:
            - $ref: '#/components/schemas/License'
            - type: 'null'
      type: object
      required:
        - vendor
        - context_window_k
        - embedding_dimensions
        - size_b
      title: EmbeddingModelMetadata
    Image2TextModelMetadata:
      properties:
        huggingface_url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Huggingface Url
        vendor:
          type: string
          title: Vendor
        context_window_k:
          type: integer
          title: Context Window K
        size_b:
          type: number
          title: Size B
        license:
          anyOf:
            - $ref: '#/components/schemas/License'
            - type: 'null'
      type: object
      required:
        - vendor
        - context_window_k
        - size_b
      title: Image2TextModelMetadata
    RerankModelMetadata:
      properties:
        huggingface_url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Huggingface Url
        vendor:
          type: string
          title: Vendor
        context_window_k:
          type: integer
          title: Context Window K
        size_b:
          type: number
          title: Size B
        is_instruction_aware:
          type: boolean
          title: Is Instruction Aware
          default: true
        license:
          anyOf:
            - $ref: '#/components/schemas/License'
            - type: 'null'
      type: object
      required:
        - vendor
        - context_window_k
        - size_b
      title: RerankModelMetadata
    ModelFlavor:
      properties:
        quantization:
          type: string
          title: Quantization
        use_cases:
          items:
            type: string
          type: array
          title: Use Cases
        tags:
          items:
            type: string
          type: array
          title: Tags
        base_model_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Model Slug
        available_configurations:
          $ref: '#/components/schemas/EndpointConfigurations'
      type: object
      required:
        - quantization
        - use_cases
        - tags
        - base_model_slug
        - available_configurations
      title: ModelFlavor
    License:
      properties:
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        name:
          type: string
          title: Name
      type: object
      required:
        - url
        - name
      title: License
    EndpointConfigurations:
      properties:
        gpu_configurations:
          additionalProperties:
            $ref: '#/components/schemas/GPUConfiguration'
          type: object
          title: Gpu Configurations
      type: object
      required:
        - gpu_configurations
      title: EndpointConfigurations
    GPUConfiguration:
      properties:
        allowed_regions:
          items:
            type: string
          type: array
          title: Allowed Regions
        allowed_gpu_counts:
          items:
            type: integer
          type: array
          title: Allowed Gpu Counts
        max_replicas_allowed:
          type: integer
          title: Max Replicas Allowed
      type: object
      required:
        - allowed_regions
        - allowed_gpu_counts
        - max_replicas_allowed
      title: GPUConfiguration
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````